int d_total(void);

#ifdef DEBUG_MALLOC
#define malloc(x) d_malloc(x,__FILE__,__LINE__)
#define free(x) d_free(x,__FILE__,__LINE__)
#define strdup(x) d_strdup(x,__FILE__,__LINE__)
void *d_malloc(int sz, char *file, int line);
void d_free(void *x, char *file, int line);
char *d_strdup(const char *s, char *file, int line);

void d_check(void);
#else
void d_check(void);
#endif